=== debian/changelog ===
razercfg (0.39+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Sep 2018 11:56:47 +0100

razercfg (0.39+ds-2) unstable; urgency=medium

  * Update one of the authors email in d/copyright
  * Backport patch to switch to QT5.
  * Update dependencies to switch from pyside to pyqt5.
  * Remove build-dep on dh-systemd, deprecated.

 -- Luca Boccassi <bluca@debian.org>  Sun, 09 Sep 2018 23:28:06 +0100

razercfg (0.39+ds-1) unstable; urgency=medium

  * Initial packaging. (Closes: #587987)

 -- Luca Boccassi <bluca@debian.org>  Wed, 25 Oct 2017 21:29:08 +0100
