=== debian/control ===
Source: razercfg
Maintainer: Luca Boccassi <bluca@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10),
 cmake,
 libusb-1.0-0-dev,
 pkg-config,
 python3-dev,
 dh-python,
 systemd,
 udev,
Standards-Version: 3.9.8
Vcs-Git: https://github.com/bluca/razercfg-debian
Vcs-Browser: https://github.com/bluca/razercfg-debian
Homepage: https://bues.ch/h/razercfg

Package: razercfg
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Suggests: python3-pyqt5
Description: Razer device configuration tool
 This is a system daemon and Python-powered CLI configuration utility for Razer
 devices on Linux systems.

Package: qrazercfg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyqt5, razercfg
Description: Graphical Razer device configuration tool
 Python- and QT-powered configuration utility for the configuration of Razer
 devices on Linux systems.

Package: qrazercfg-applet
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyqt5, razercfg, qrazercfg
Description: Graphical Razer device configuration tool - applet
 Python- and QT-powered configuration utility for the configuration of Razer
 devices on Linux systems.
