=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DH_VERBOSE=1
export RAZERCFG_PKG_BUILD=1

override_dh_auto_configure:
	dh_auto_configure -- -DLIBRAZER_SHARED=OFF

override_dh_clean:
	dh_clean
	rm -rf ui/build ui/pyrazer/__pycache__ ui/setup.py

override_dh_install:
	dh_install --fail-missing --exclude=librazer.a

override_dh_installinit:
	dh_installinit --name=razerd

%:
	dh $@ --with systemd --with python3 --buildsystem=cmake
