## razercfg 0.40+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 if (COMMAND cmake_policy)
 	# Libraries linked via full path no longer produce linker search paths.
 	cmake_policy(SET CMP0003 NEW)
-	# Preprocessor definition values are not escaped automatically.
-	cmake_policy(SET CMP0005 OLD)
+	# Preprocessor definition values shall be escaped automatically.
+	cmake_policy(SET CMP0005 NEW)
 endif (COMMAND cmake_policy)
 
 include("${razer_SOURCE_DIR}/scripts/cmake.global")
@@ -54,32 +54,5 @@
 					WORLD_READ)
 endif(SYSTEMD_UNIT_DIR)
 
-configure_file("razercfg.desktop.template" "razercfg.desktop")
-
-install(FILES ${CMAKE_BINARY_DIR}/razercfg.desktop
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
-install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-icon.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	RENAME razercfg.svg
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
-install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-alt.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
-install(FILES ${CMAKE_SOURCE_DIR}/icons/razercfg-snake.svg
-	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/
-	PERMISSIONS OWNER_READ OWNER_WRITE
-		    GROUP_READ
-		    WORLD_READ)
-
 add_subdirectory(razerd)
 add_subdirectory(ui)
