=== debian/changelog ===
razercfg (0.40+ds-1) unstable; urgency=medium

  * New upstream release 0.40.
  * Drop 0001-Update-to-PyQt5.patch, merged upstream.
  * Add gbp.conf file
  * Set Rules-Requires-Root: no
  * Use dh_missing instead of dh_install --fail-missing
  * Bump Standards-Version to 4.2.1
  * Backport Add-the-working-directory-to-sys.path-to-fix-ftbfs.patch
    to fix build failure introduced in 0.40.
  * Backport razercfg.desktop-add-Comment-field.patch to fix error
    reported by Appstream.

 -- Luca Boccassi <bluca@debian.org>  Sun, 04 Nov 2018 15:05:26 +0000

razercfg (0.39+ds-3) unstable; urgency=medium

  * Switch razercfg to linux-any, itt uses udev heavily which is not
    available on Hurd and kFreeBSD.

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Sep 2018 12:57:48 +0100
