=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  dh-python,
  systemd,
  udev,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/bluca/razercfg-debian
 Vcs-Browser: https://github.com/bluca/razercfg-debian
 Homepage: https://bues.ch/h/razercfg
 
 Package: razercfg
-Architecture: any
+Architecture: linux-any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Suggests: python3-pyqt5
 Description: Razer device configuration tool
