## razercfg 0.41+ds

=== librazer/CMakeLists.txt ===
--- 
+++ 
@@ -32,8 +32,6 @@
 set_target_properties(razer PROPERTIES COMPILE_FLAGS ${GENERIC_COMPILE_FLAGS}
 				       SOVERSION 1)
 
-add_definitions("-Du_int8_t=uint8_t -Du_int16_t=uint16_t -Du_int32_t=uint32_t")
-
 target_link_libraries(razer usb-1.0)
 
 install(TARGETS razer DESTINATION lib)
