=== debian/changelog ===
razercfg (0.41+ds-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:19 +0000

razercfg (0.41+ds-1) unstable; urgency=medium

  * New upstream release 0.41.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Add-the-working-directory-to-sys.path-to-fix-ftbfs.patch and
    razercfg.desktop-add-Comment-field.patch, merged upstream.
  * Install tmpfiles in razercfg.

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 Jan 2020 22:08:58 +0000
