=== debian/changelog ===
razercfg (0.42+ds-4ubuntu0.2) noble; urgency=medium

  * d/razercfg.install: Fix dh_install destination path
    under `dist-packages/dist-packages/` (LP: #2084502)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 14 Oct 2024 20:12:15 -0300

razercfg (0.42+ds-4ubuntu0.1) noble; urgency=medium

  [ Dave Jones ]
  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

  [ Pushkar Kulkarni ]
  * Use the python3.12/dist-packages install path for oracular (LP: #2070171)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:33:20 +0100

razercfg (0.42+ds-4) unstable; urgency=medium

  * Add missing Pre-depends to fix Lintian warning
  * Pick up files from /usr/local/ (Closes: #1054799)

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2023 12:51:10 +0100

razercfg (0.42+ds-3) unstable; urgency=medium

  * Use env var in .install instead of override to fix FTBFS for arch: all
  * Drop build dependency on udev, pkg-config file is in systemd-dev

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Sep 2023 16:29:57 +0100

razercfg (0.42+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Bump debhelper from old 10 to 13. + debian/rules: Drop --fail-missing
    argument to dh_missing, which is now the default.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.6.2, no changes needed.

  [ Luca Boccassi ]
  * d/rules: use execute_after instead of override
  * Drop dependency on lsb-base, deprecated
  * Build-depend on systemd-dev for pkg-config file instead of systemd

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes:
    #1052702)

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Sep 2023 13:02:29 +0100

razercfg (0.42+ds-1) unstable; urgency=medium

  * New upstream release 0.42.

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jun 2020 14:55:28 +0100
