=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: razercfg
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  cmake,
  libusb-1.0-0-dev,
  pkg-config,
  python3-dev,
  dh-python,
- systemd,
- udev,
-Standards-Version: 4.2.1
+ systemd-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/bluca/razercfg-debian
+Vcs-Git: https://github.com/bluca/razercfg-debian.git
 Vcs-Browser: https://github.com/bluca/razercfg-debian
 Homepage: https://bues.ch/h/razercfg
 
 Package: razercfg
 Architecture: linux-any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3-pyqt5
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Razer device configuration tool
  This is a system daemon and Python-powered CLI configuration utility for Razer
  devices on Linux systems.
