=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DH_VERBOSE=1
export RAZERCFG_PKG_BUILD=1
export systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
export udevrulesdir=$(shell pkg-config --variable=udevdir udev | sed s,^/,,)

override_dh_auto_configure:
	dh_auto_configure -- -DLIBRAZER_SHARED=OFF

execute_after_dh_clean:
	rm -rf ui/build ui/pyrazer/__pycache__ ui/setup.py

override_dh_install:
	dh_install --exclude=librazer.a

override_dh_installinit:
	dh_installinit --name=razerd

%:
	dh $@ --with python3 --buildsystem=cmake
