## razercfg 0.43

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
+cmake_minimum_required(VERSION 3.5)
 project(razer C)
-
-cmake_minimum_required(VERSION 2.4)
 
 if (COMMAND cmake_policy)
 	# Libraries linked via full path no longer produce linker search paths.
@@ -26,11 +25,9 @@
 
 configure_file("udev.rules.template" "udev.rules")
 
-if(UDEV_DIR)
-	install(FILES ${CMAKE_BINARY_DIR}/udev.rules
-		DESTINATION ${UDEV_DIR}/rules.d
-		RENAME 80-razer.rules)
-endif(UDEV_DIR)
+install(FILES ${CMAKE_BINARY_DIR}/udev.rules
+	DESTINATION /etc/udev/rules.d
+	RENAME 80-razer.rules)
 
 configure_file("pm-hook.sh.template" "pm-hook.sh" @ONLY)
 
@@ -43,11 +40,9 @@
 
 configure_file("razerd.service.template" "razerd.service")
 
-if(SYSTEMD_UNIT_DIR)
-	install(FILES ${CMAKE_BINARY_DIR}/razerd.service
-		DESTINATION ${SYSTEMD_UNIT_DIR})
-endif(SYSTEMD_UNIT_DIR)
-
+install(FILES ${CMAKE_BINARY_DIR}/razerd.service
+	DESTINATION /usr/lib/systemd/system)
+	
 install(FILES ${CMAKE_SOURCE_DIR}/tmpfile.conf
 	DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d
 	RENAME razerd.conf)
