=== debian/changelog ===
razercfg (0.43-6) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * Move repository to salsa in group debian.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/rules: Drop DH_VERBOSE.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Dec 2025 21:10:00 +0100

razercfg (0.43-5) unstable; urgency=medium

  * Orphan package

 -- Luca Boccassi <bluca@debian.org>  Wed, 10 Dec 2025 17:58:36 +0000

razercfg (0.43-4) unstable; urgency=medium

  * Add build dependency on python3-setuptools (Closes: #1080860)

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 13:08:34 +0200

razercfg (0.43-3) unstable; urgency=medium

  * Use wildcard in dh_install file (Closes: #1074755)

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Jul 2024 15:15:42 +0100

razercfg (0.43-2) unstable; urgency=medium

  * Reset mtime to changelog date for files at epoch (Closes: #1074141)

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 18:12:36 +0100

razercfg (0.43-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Fix dh_install destination path (Closes: #1059997)
  * Switch to pkgconf
  * Fix superfluous-file-pattern Lintian warning
  * Pick udev rule from /etc/
  * New upstream release 0.43.

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 14:13:39 +0100
