=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: razercfg
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: misc
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
  cmake,
  libusb-1.0-0-dev,
- pkg-config,
+ pkgconf,
  python3-dev,
+ python3-setuptools,
  dh-python,
  systemd-dev,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-Vcs-Git: https://github.com/bluca/razercfg-debian.git
-Vcs-Browser: https://github.com/bluca/razercfg-debian
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/razercfg.git
+Vcs-Browser: https://salsa.debian.org/debian/razercfg
 Homepage: https://bues.ch/h/razercfg
 
 Package: razercfg
@@ -21,7 +19,6 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3-pyqt5
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Razer device configuration tool
  This is a system daemon and Python-powered CLI configuration utility for Razer
  devices on Linux systems.
